Index: tests/creddy_tests/display.ck
===================================================================
--- tests/creddy_tests/display.ck	(revision d6d44feab844462a7ed4ee16df8705976efdf194)
+++ tests/creddy_tests/display.ck	(revision bec30b5ab9c079bfa792531837b13442d03db10c)
@@ -3,7 +3,7 @@
 # display.ck
 
-result=`diff display.out display.save 2>/dev/null |wc -l`
+result=`diff -I "UTC" -I "GMT" display.out display.save 2>/dev/null |wc -l`
 
-if [ $result -eq 50 ]; then
+if [ $result -eq 48 ]; then
     return 0
 else
@@ -11,2 +11,4 @@
 fi
 
+## ignore timestamp difference being flagged between UTC and GMT
+
Index: tests/creddy_tests/roles.ck
===================================================================
--- tests/creddy_tests/roles.ck	(revision d6d44feab844462a7ed4ee16df8705976efdf194)
+++ tests/creddy_tests/roles.ck	(revision bec30b5ab9c079bfa792531837b13442d03db10c)
@@ -3,5 +3,5 @@
 # roles.ck
 
-result=`diff -I "I/O warning" -I "buy_rockets" -I "PRIVATE KEY" roles.out roles.save 2>/dev/null`
+result=`diff -I "buy_rockets" roles.out roles.save 2>/dev/null`
 
 if [ "$result" = "" ]; then
@@ -11,9 +11,2 @@
 fi
 
-
-# ignore
-#< 200baedcb4bfc243cdefe11efb27e293b85a7232.buy_rockets<-200baedcb4bfc243cdefe11efb27e293b85a7232.preferred_customer
-#---
-#> da8282ce28befbb08b432822f282dce02e28eaec.buy_rockets<-da8282ce28befbb08b432822f282dce02e28eaec.preferred_customer
-#
-
Index: tests/creddy_tests/run_test
===================================================================
--- tests/creddy_tests/run_test	(revision d6d44feab844462a7ed4ee16df8705976efdf194)
+++ tests/creddy_tests/run_test	(revision bec30b5ab9c079bfa792531837b13442d03db10c)
@@ -26,2 +26,3 @@
 a_run display
 a_run attribute_rule
+
Index: tests/creddy_tests/verify.ck
===================================================================
--- tests/creddy_tests/verify.ck	(revision d6d44feab844462a7ed4ee16df8705976efdf194)
+++ tests/creddy_tests/verify.ck	(revision bec30b5ab9c079bfa792531837b13442d03db10c)
@@ -3,5 +3,5 @@
 # verify.ck
 
-result=`diff -I "I/O warning" -I "no start line" verify.out verify.save 2>/dev/null`
+result=`diff verify.out verify.save 2>/dev/null`
 
 if [ "$result" = "" ]; then
@@ -11,9 +11,2 @@
 fi
 
-
-# ignore
-#< 10455:error:0906D06C:PEM routines:PEM_read_bio:no start line:pem_lib.c:650:Expecting: CERTIFICATE
-#---
-#> 10410:error:0906D06C:PEM routines:PEM_read_bio:no start line:pem_lib.c:650:Expecting: CERTIFICATE
-#
-
Index: tests/example_scripts/c/run_prover
===================================================================
--- tests/example_scripts/c/run_prover	(revision d6d44feab844462a7ed4ee16df8705976efdf194)
+++ tests/example_scripts/c/run_prover	(revision bec30b5ab9c079bfa792531837b13442d03db10c)
@@ -8,9 +8,9 @@
 principal="${cID}"
 
-./abac_prover "$keystore" "$role" "$principal"
+if [ $1 = "debug" ]; then
+    echo "$keystore" "$role" "$principal"
+    gdb ./abac_prover
+else
+    ./abac_prover "$keystore" "$role" "$principal"
+fi
 
-#echo "$keystore" "$role" "$principal"
-#gdb ./abac_prover
-
-
-
Index: tests/example_scripts/wiki/id5.ck
===================================================================
--- tests/example_scripts/wiki/id5.ck	(revision d6d44feab844462a7ed4ee16df8705976efdf194)
+++ tests/example_scripts/wiki/id5.ck	(revision bec30b5ab9c079bfa792531837b13442d03db10c)
@@ -4,9 +4,10 @@
 r1=`grep "id has privkey 1" id5.out 2>/dev/null |wc -l`
 r2=`grep "id1 has privkey 1" id5.out 2>/dev/null |wc -l`
-r3=`grep "id2 has privkey 0" id5.out 2>/dev/null |wc -l`
-r4=`grep "id3 has privkey 0" id5.out 2>/dev/null |wc -l`
+r3=`grep "id2 has privkey 1" id5.out 2>/dev/null |wc -l`
+r4=`grep "id3 has privkey 1" id5.out 2>/dev/null |wc -l`
 r5=`grep "id4 has privkey 1" id5.out 2>/dev/null |wc -l`
+r6=`grep "id5 has privkey 0" id5.out 2>/dev/null |wc -l`
 
-if [ $r1 -eq 1 -a $r2 -eq 1 -a $r3 -eq 1 -a $r4 -eq 1 -a $r5 -eq 1 ]; then
+if [ $r1 -eq 1 -a $r2 -eq 1 -a $r3 -eq 1 -a $r4 -eq 1 -a $r5 -eq 1 -a $r6 -eq 1 ]; then
     return 0
 else
Index: tests/example_scripts/wiki/id5.py
===================================================================
--- tests/example_scripts/wiki/id5.py	(revision d6d44feab844462a7ed4ee16df8705976efdf194)
+++ tests/example_scripts/wiki/id5.py	(revision bec30b5ab9c079bfa792531837b13442d03db10c)
@@ -7,4 +7,7 @@
 
 id = ABAC.ID("newGuy", 5*365*3600*24)
+oid = ABAC.ID("oldGuy", 5*365*3600*24)
+
+oid.write_cert_file("./oldGuy.pem")
 
 id.write_cert_file("./newGuy.pem")
@@ -32,4 +35,12 @@
     pass
 
+id5 = ABAC.ID("./oldGuy.pem")
+
+## can not test out this,
+#id6 = ABAC.ID("./oldGuy.pem")
+#id6.load_privkey("./newGuy.pem")
+#id7 = ABAC.ID("./oldGuy.pem")
+#id7.load_privkey("./oldGuy.pem")
+
 print "id has privkey %d" % id.has_privkey()
 print "id1 has privkey %d" % id1.has_privkey()
@@ -38,2 +49,5 @@
 print "id4 has privkey %d" % id4.has_privkey()
 
+print "id5 has privkey %d" % id5.has_privkey()
+#print "id6 has privkey %d" % id6.has_privkey()
+#print "id7 has privkey %d" % id7.has_privkey()
Index: tests/example_scripts/wiki/run_test
===================================================================
--- tests/example_scripts/wiki/run_test	(revision d6d44feab844462a7ed4ee16df8705976efdf194)
+++ tests/example_scripts/wiki/run_test	(revision bec30b5ab9c079bfa792531837b13442d03db10c)
@@ -4,4 +4,5 @@
 #
 
+rm -rf *.pem  *.out *.xml
 # a_run type
 a_run()
@@ -15,5 +16,5 @@
        echo "   FAILED"
     fi
-    rm -rf *.pem *.out *.xml
+    rm -rf *.pem *.xml
 }
 
